using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using JXC_MIS.MyClass;
using JXC_MIS.DataTier;

namespace JXC_MIS.UserTier.CommonForm
{
	/// <summary>
	/// frmDataEdit 的摘要说明。
	/// </summary>
	public class frmDataEdit : System.Windows.Forms.Form
	{
		private System.Windows.Forms.ToolBar tbr_MainTool;
		private System.Windows.Forms.ToolBarButton toolBarButton6;
		private System.Windows.Forms.ToolBarButton toolBarButton2;
		private System.Windows.Forms.ToolBarButton toolBarButton3;
		private System.Windows.Forms.ToolBarButton toolBarButton4;
		private System.Windows.Forms.ToolBarButton toolBarButton5;
		private System.Windows.Forms.ToolBarButton toolBarButton1;
		private ljs.MyFlexGrid FlexGridEdit;
		private System.ComponentModel.IContainer components;
		protected ClsInitData InitData=new ClsInitData();
		protected ClsDataBase newDb=new ClsDataBase();
		private System.Windows.Forms.ImageList img_ImageList;
		private System.Windows.Forms.CheckBox chk_YesOrNo;
		//		private ClsReceiptAttrib newR_Attrib=new ClsReceiptAttrib();
		protected ClsDataBaseAccess newADO=new ClsDataBaseAccess();

		public frmDataEdit()
		{
			//
			// Windows 窗体设计器支持所必需的
			//
			InitializeComponent();

			//
			// TODO: 在 InitializeComponent 调用后添加任何构造函数代码
			//
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows 窗体设计器生成的代码
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(frmDataEdit));
			this.FlexGridEdit = new ljs.MyFlexGrid();
			this.tbr_MainTool = new System.Windows.Forms.ToolBar();
			this.toolBarButton6 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton2 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton3 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton4 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton5 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton1 = new System.Windows.Forms.ToolBarButton();
			this.img_ImageList = new System.Windows.Forms.ImageList(this.components);
			this.chk_YesOrNo = new System.Windows.Forms.CheckBox();
			this.SuspendLayout();
			// 
			// FlexGridEdit
			// 
			this.FlexGridEdit.BackColorSel = System.Drawing.SystemColors.Highlight;
			this.FlexGridEdit.BorderStyle = false;
			this.FlexGridEdit.CellBackColor = System.Drawing.Color.White;
			this.FlexGridEdit.CellColLength = 0;
			this.FlexGridEdit.CellForeColor = System.Drawing.Color.Black;
			this.FlexGridEdit.CellMultiLine = false;
			this.FlexGridEdit.CellRowLength = 0;
			this.FlexGridEdit.CellTag = null;
			this.FlexGridEdit.Col = 0;
			this.FlexGridEdit.ColCommanFormat = null;
			this.FlexGridEdit.ColLocked = false;
			this.FlexGridEdit.Cols = 10;
			this.FlexGridEdit.ColSel = 1;
			this.FlexGridEdit.DetailFormat = null;
			this.FlexGridEdit.Dock = System.Windows.Forms.DockStyle.Fill;
			this.FlexGridEdit.EnterToTab = true;
			this.FlexGridEdit.FixedBackColor = System.Drawing.SystemColors.ActiveBorder;
			this.FlexGridEdit.FixedCols = 1;
			this.FlexGridEdit.FormatString = null;
			this.FlexGridEdit.FormatString1 = null;
			this.FlexGridEdit.GridColor = System.Drawing.Color.FromArgb(((System.Byte)(183)), ((System.Byte)(183)), ((System.Byte)(183)));
			this.FlexGridEdit.GridStyle = true;
			this.FlexGridEdit.Location = new System.Drawing.Point(0, 28);
			this.FlexGridEdit.MultiHead = false;
			this.FlexGridEdit.Name = "FlexGridEdit";
			this.FlexGridEdit.OnlyRead = false;
			this.FlexGridEdit.Row = 0;
			this.FlexGridEdit.Rows = 10;
			this.FlexGridEdit.RowSel = 0;
			this.FlexGridEdit.SetCellWidth = null;
			this.FlexGridEdit.Size = new System.Drawing.Size(714, 389);
			this.FlexGridEdit.TabIndex = 0;
			// 
			// tbr_MainTool
			// 
			this.tbr_MainTool.AccessibleRole = System.Windows.Forms.AccessibleRole.None;
			this.tbr_MainTool.Appearance = System.Windows.Forms.ToolBarAppearance.Flat;
			this.tbr_MainTool.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
																							this.toolBarButton6,
																							this.toolBarButton2,
																							this.toolBarButton3,
																							this.toolBarButton4,
																							this.toolBarButton5,
																							this.toolBarButton1});
			this.tbr_MainTool.ButtonSize = new System.Drawing.Size(80, 22);
			this.tbr_MainTool.DropDownArrows = true;
			this.tbr_MainTool.ImageList = this.img_ImageList;
			this.tbr_MainTool.Location = new System.Drawing.Point(0, 0);
			this.tbr_MainTool.Name = "tbr_MainTool";
			this.tbr_MainTool.ShowToolTips = true;
			this.tbr_MainTool.Size = new System.Drawing.Size(714, 28);
			this.tbr_MainTool.TabIndex = 5;
			// 
			// toolBarButton6
			// 
			this.toolBarButton6.ImageIndex = 5;
			this.toolBarButton6.Tag = "刷新";
			this.toolBarButton6.ToolTipText = "菜单项刷新";
			// 
			// toolBarButton2
			// 
			this.toolBarButton2.ImageIndex = 18;
			this.toolBarButton2.Tag = "新增";
			// 
			// toolBarButton3
			// 
			this.toolBarButton3.ImageIndex = 9;
			this.toolBarButton3.Tag = "打印";
			// 
			// toolBarButton4
			// 
			this.toolBarButton4.ImageIndex = 14;
			this.toolBarButton4.Tag = "预览";
			// 
			// toolBarButton5
			// 
			this.toolBarButton5.ImageIndex = 6;
			this.toolBarButton5.Tag = "修改";
			// 
			// toolBarButton1
			// 
			this.toolBarButton1.ImageIndex = 15;
			this.toolBarButton1.Tag = "退出";
			// 
			// img_ImageList
			// 
			this.img_ImageList.ImageSize = new System.Drawing.Size(16, 16);
			this.img_ImageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("img_ImageList.ImageStream")));
			this.img_ImageList.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// chk_YesOrNo
			// 
			this.chk_YesOrNo.BackColor = System.Drawing.Color.Transparent;
			this.chk_YesOrNo.Location = new System.Drawing.Point(238, 124);
			this.chk_YesOrNo.Name = "chk_YesOrNo";
			this.chk_YesOrNo.Size = new System.Drawing.Size(68, 16);
			this.chk_YesOrNo.TabIndex = 6;
			// 
			// frmDataEdit
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(714, 417);
			this.Controls.Add(this.chk_YesOrNo);
			this.Controls.Add(this.FlexGridEdit);
			this.Controls.Add(this.tbr_MainTool);
			this.Name = "frmDataEdit";
			this.Text = "frmDataEdit";
			this.Load += new System.EventHandler(this.frmDataEdit_Load);
			this.MouseMove += new System.Windows.Forms.MouseEventHandler(this.frmDataEdit_MouseMove);
			this.ResumeLayout(false);

		}
		#endregion

		private void frmDataEdit_Load(object sender, System.EventArgs e)
		{
			InitData.ShowGridData(FlexGridEdit,"ljs_Customer");
			FlexGridEdit.ColWidthAuto();

		}

		private void frmDataEdit_MouseMove(object sender, System.Windows.Forms.MouseEventArgs e)
		{
//		vScrollBar1.Scroll
		}

		    
//		protected override void OnMouseWheel(System.Windows.Forms.MouseEventArgs e)
//		{
//			switch (e.Delta)
//			{
//				case -360:
//                       this.Text ="-360";
//					break;
//				case -240:
//                       this.Text ="-240";
//					break;
//				case -120:
//                       this.Text ="-120";
//					break;
//				case 360:
//                       this.Text ="360";
//					break;
//				case 240:
//                       this.Text ="240";
//					break;
//				case 120:
//                       this.Text ="120";
//					break;
//				default:
//
//					break;
//			
//			
//			
//			}
//		
//		}




	}
}
